@import url("https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Ibarra+Real+Nova:ital,wght@0,400..700;1,400..700&display=swap");

@font-face {
  font-family:'MyCustomFont';
  src:url('/fonts/fonnts.com-Vanitas-Regular.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
}


* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overscroll-behavior: contain;
}

body {
  overflow-x: hidden;
}

body::-webkit-scrollbar {
  display: none; /* Chrome, Safari */
}

.navbar {
  height: auto;
  width: 100%;
  position: sticky;
  background-color: white;
  top: 0;
  z-index: 10;
}

.navbar .navbar-main {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px 20px;
  position: relative;
}

.menu-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 2rem;
  cursor: pointer;
  color: black;
  margin-right: 20px;
}

.navbar .navbar-main img {
  height: 60px;
  width: auto;
  padding: 10px 0px;
}

.navbar .navbar-utility {
  font-family: 'Barlow';
  font-size: 20px;
  text-transform: capitalize;
  padding: 20px 0px;
}

.navbar .navbar-utility ul {
  list-style: none;
  margin: 0px 200px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.navbar .navbar-utility ul li a {
  color: black;
  text-decoration: none;
}

.hero {
  position: fixed;
  scroll-snap-align: start;
  min-height: 100vh;
  width: 100%;
  overflow: hidden;
  z-index: 0;
  top: 0;
  right: 0;
}

.hero-head{
  position: relative;
  z-index:2; 
  font-family:'MyCustomFont';
  font-style: normal;
  text-transform: uppercase;
  text-align: center;
  padding-top:15%;
  color: white;
}
.hero-head h1{
  font-size:100px;
  font-weight:500;
}

.hero-head p{
  font-size:80px;
  font-weight:200;
}

.cube-bg {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 0;
}

.swiper-slide {
  user-select: none;
  pointer-events: auto;
}

.cube-bg .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* service section code */
.services-section {
  min-height: 100vh;
  background-color: white;
  width: 100%;
  padding: 20px;
  margin-top: 0;
  position: relative;
  z-index: 2;
}

.service-header {
  display: flex;
  justify-content: space-between;
}

.services-section .service-header h1 {
  display: inline;
  font-family:'MyCustomFont';
  font-size: 10vh;
  text-transform: uppercase;
  padding-bottom: 20px;
}

.services-section .service-header p {
  font-family: 'Barlow';
  font-size:20px;
  padding-left: 30px;
  padding-top: 40px;
}

.service-header .service-section-contact {
  padding-top: 30px;
}

.service-header .service-section-contact a {
  text-decoration: none;
}

.services-section .service-header a {
  background-color: rgb(50, 50, 50);
  font-family:'Barlow';
  font-size:18px;
  color: white;
  padding: 15px 30px;
  margin: 40px 30px;
  margin-right: 0;
  border-radius: 30px;
}
.services-section .service-container {
  display: flex;
  height: 80vh;
  width: 100%;
}

.services-section .service-container .service-element {
  display: flex;
  margin-right: 20px;
  height: 60vh;
  border-radius: 20px;
  transition: 1s;
  flex: 1;
}

.services-section .service-container .service-element-first {
  background: url("../images/Contracting.png");
  background-position: center;
  background-size: cover;
}

.services-section .service-container .service-element-second {
  background: url("../images/interior-design.png");
  background-position: center;
  background-size: cover;
}

.services-section .service-container .service-element-third {
  background: url("../images/cctv.png");
  background-position: center;
  background-size: cover;
}

.services-section .service-container .service-element:hover {
  flex: 2;
}

.service-element h2 {
  font-family: 'MyCustomFont';
  font-weight: 500;
  font-size: 30px;
  text-transform: uppercase;
  position: relative;
  padding-left: 30px;
  padding-top: 370px;
  z-index: 8;
  color: whitesmoke;
}

.service-element ul {
  font-family: 'Barlow';
  display: none;
}

.service-element-first:hover ul {
  display: block;
  color: white;
  padding-left: 200px;
  padding-top: 50px;
}

.service-element-second:hover ul {
  display: inline;
  color: white;
  padding-left: 50px;
  padding-top: 50px;
}

.service-element-third:hover ul {
  display: inline;
  color: white;
  padding-left: 70px;
  padding-top: 50px;
}

/*about section style*/

.about-section {
  min-height: 100vh;
  width: 100vw;
  background-color: white;
  background-size: cover;
  display: flex;
  margin-top: 100vh;
  position: relative;
  z-index: 1;
}

.about-section .about-image {
  width: 55%;
  padding-left: 3%;
}

.about-section .about-image img {
  width: 100%;
  height: auto;
  border-radius: 20px;
  margin-left: 3%;
}

.about-section .about-description {
  width: 45%;
  font-family: "Barlow";
  font-size: 2.5vh;
  line-height: 25px;
  padding: 9% 8%;
}

.about-section h2 {
  font-size: 9vh;
  text-transform: uppercase;
  font-family:'MyCustomFont';
  position: sticky;
  transform: translateY(80px);
}

/*  bottom ct*/
.cta-bottom {
  background-color: white;
  position: fixed;
  border-radius: 10px;
  border: 0;
  z-index: 100;
  padding: 20px 40px;
  bottom: 20px;
  right: 20px;
  cursor: pointer;
  color: black;
  overflow: hidden;
  transition: color 0.4s ease, background-color 0.4s ease;
}

.cta-bottom a {
  text-decoration: none;
  font-family:"Barlow";
  font-size: 20px;
  color: black;
  display: flex;
  align-items: center;
  gap: 10px;
  transition: color 0.4s ease;
}

.cta-bottom::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: black;
  transition: left 0.4s ease;
  z-index: 0;
}

.cta-bottom:hover::before {
  left: 0;
}

.cta-bottom:hover a,
.cta-bottom:hover .call-icon {
  color: white;
  fill: white; /* for inline SVG */
  filter: brightness(0) invert(1); /* for image fallback */
}

.cta-bottom {
  position: fixed;
  z-index: 100;
}

.cta-bottom a span {
  position: relative;
  display: flex;
  z-index: 1;
}

.cta-bottom .call-icon {
  height: 20px;
  animation: tilt-shaking 0.15s infinite;
  transition: fill 0.4s ease, filter 0.4s ease;
}

/* botton whatsapp cta */


.cta-bottom-second{
  background-color: white;
  position: fixed;
  border-radius: 10px;
  border: 0;
  z-index: 100;
  padding: 20px 40px;
  bottom: 20px;
  right:200px;
  cursor: pointer;
  color: black;
  overflow: hidden;
  transition: color 0.4s ease, background-color 0.4s ease;
}

.cta-bottom-second a {
  text-decoration: none;
  font-family:"Barlow";
  font-size: 20px;
  color: black;
  display: flex;
  align-items: center;
  gap: 10px;
  transition: color 0.4s ease;
}

.cta-bottom-second::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: black;
  transition: left 0.4s ease;
  z-index: 0;
}

.cta-bottom-second:hover::before {
  left: 0;
}

.cta-bottom-second:hover a,
.cta-bottom-second:hover .call-icon {
  color: white;
  fill: white; /* for inline SVG */
  filter: brightness(0) invert(1); /* for image fallback */
}

.cta-bottom-second {
  position: fixed;
  z-index: 100;
}

.cta-bottom-second a span {
  position: relative;
  display: flex;
  z-index: 1;
}

.cta-bottom-second .call-icon {
  height:20px;
  animation:tilt-shaking 0.15s infinite;
  transition:fill 0.4s ease, filter 0.4s ease;
}

@keyframes tilt-shaking {
  0% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(5deg);
  }
  50% {
    transform: rotate(0eg);
  }
  75% {
    transform: rotate(-5deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

.contact-section {
  height: auto;
  width: 100%;
  background-color: rgb(22, 22, 22);
  color: white;
  display: flex;
  padding: 8%;
  position: relative;
  z-index: 2;
}

.contact-main {
  width: 50%;
}

.contact-main h2 {
  font-family:'MyCustomFont';
  font-size: 7vh;
  font-weight: 300;
  text-transform: uppercase;
}

.contact-main .contact-main-element {
  font-family: 'Barlow';
  display: flex;
  flex-direction: column;
  padding-top: 10%;
}

.contact-main .contact-main-element p {
  font-size: 12px;
  text-transform: uppercase;
  padding-bottom: 2%;
}

.contact-main .contact-main-element a {
  font-size: 2.5vh;
  color: white;
  text-decoration: none;
  margin-left: 3%;
}
.contact-main .contact-main-element a {
  display: inline-block;
  position: relative;
  color: white;
  padding-bottom: 1%;
}

.contact-main .contact-main-element a::after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: white;
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.contact-main .contact-main-element a:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.contact-container {
  width: 50%;
  font-family: 'Barlow';
  font-size: 2.5vh;
}

.contact-container h3 {
  font-family: 'Barlow';
  font-size: 3.5vh;
  font-weight: 500;
}

.contact-container p {
  font-family: 'Barlow';
  font-size: 2.5vh;
}

.contact-container form input {
  font-family: 'Barlow';
  font-size:18px;
  background: transparent;
  border: none;
  border-bottom: 1px solid white;
  margin: 3% 0%;
  padding: 3% 2%;
  display: block;
  color: white;
  width: 100%;
}

.contact-container form textarea{
    background: transparent;
    border:none;
    border-bottom:1px solid white;
    color: white;
    display: block;
    width:45vw;
    height:13vh;
    margin-bottom:5%;
    margin-top:2%;
}

.contact-container form option {
  background-color: white;
  color: black;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 5000s;
  -webkit-text-fill-color: #fff !important;
}

.contact-container form button {
  cursor:pointer;
  background-color: white;
  color: black;
  padding: 10px 30px;
  border: none;
  border-radius: 20px;
  text-transform: capitalize;
  font-family: 'Barlow';
  font-size:18px;
}

.contact-container form label sup {
  color: red;
  font-size: 20px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  justify-content:center;
  align-items:center;
  overflow: hidden; /* prevent modal scroll */
}

.modal-content {
  background-color: #fefefe;
  color: black;
  padding: 20px;
  border: 1px solid #888;
  width:80%;
  max-width: 500px;
  border-radius: 10px;
  font-family:'Barlow';
  font-size:20px;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
/* code for alert box(contact) */

.btn {
  background-color: #4caf50;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border: none;
  border-radius: 5px;
}

/* Style for Footer */

.footer-section {
  height: auto;
  width: 100%;
  background-color: black;
  display: flex;
  padding: 80px;
  justify-content: space-between;
  font-family: 'Barlow';
  line-height:35px;
  position: relative;
  z-index: 2;
}

.footer-section .footer-logo img {
  height: auto;
  width: 15vw;
}

.footer-section .footer-contact a {
  color: white;
  text-decoration: none;
  font-size: 2.5vh;
  margin: 10% 0;
}

.footer-section .footer-links ul {
  list-style: none;
  color: #fff;
}
